hud.disable("score")
hud.disable("time")
-- RINGS
hudinfo[HUD_RINGS].x = 240
hudinfo[HUD_RINGS].y = 0
hudinfo[HUD_RINGS].f = V_SNAPTORIGHT|V_SNAPTOTOP
-- RNUMBERS
hudinfo[HUD_RINGSNUM].x = 310
hudinfo[HUD_RINGSNUM].y = 0
hudinfo[HUD_RINGSNUMTICS].x = 310
hudinfo[HUD_RINGSNUMTICS].y = 0
--Time
hudinfo[HUD_TIME].x = 160
hudinfo[HUD_TIME].y = 0
hudinfo[HUD_TIME].f = V_SNAPTORIGHT|V_SNAPTOTOP
--Tnumbers
hudinfo[HUD_MINUTES].x = 216
hudinfo[HUD_MINUTES].y = 0
hudinfo[HUD_MINUTES].f = V_SNAPTORIGHT|V_SNAPTOTOP
hudinfo[HUD_TIMECOLON].x = 216
hudinfo[HUD_TIMECOLON].y = 0
hudinfo[HUD_TIMECOLON].f = V_SNAPTORIGHT|V_SNAPTOTOP
hudinfo[HUD_SECONDS].x = 240
hudinfo[HUD_SECONDS].y = 0
hudinfo[HUD_SECONDS].f = V_SNAPTORIGHT|V_SNAPTOTOP
hudinfo[HUD_TIMETICCOLON].x = 240
hudinfo[HUD_TIMETICCOLON].y = 0
hudinfo[HUD_TIMETICCOLON].f = V_SNAPTORIGHT|V_SNAPTOTOP
hudinfo[HUD_TICS].x = 264
hudinfo[HUD_TICS].y = 0
hudinfo[HUD_TICS].f = V_SNAPTORIGHT|V_SNAPTOTOP
--SCORE
hudinfo[HUD_SCORE].x = 100
hudinfo[HUD_SCORE].y = 188
hudinfo[HUD_SCORE].f = V_SNAPTOLEFT|V_SNAPTOBOTTOM
hudinfo[HUD_SCORENUM].x = 204
hudinfo[HUD_SCORENUM].y = 190
hudinfo[HUD_SCORENUM].f = V_SNAPTORIGHT|V_SNAPTOBOTTOM

if not (rawget(_G, "customhud")) return end

local modname = "mario64lives"
customhud.SetupItem("lives", modname)

local function stupidGarbage() -- Because some mods like to reset hud enables/disables every tic instead of once (Boss Mayhem... though I'm kinda guilty of it too ^^;)
	if (customhud.CheckType("lives") == modname) hud.disable("lives") end
end

local function 64Lives(v, player)
	if (customhud.CheckType("lives") != modname) return end
	if (customhud.CheckEnabled("lives") != true) return end
	
	if not (G_GametypeUsesLives()) return end
	if not ((player and player.valid) and (player.mo and player.mo.valid)) return end
	if not (skins[player.mo.skin] and skins[player.mo.skin].valid) return end
	
	local startx = 8
	local starty = screenheight-32
	
	local face = v.getSprite2Patch(player.mo.skin, SPR2_LIFE, (player.powers[pw_super] != 0), 0, 0)
	
	v.draw((startx+10), (starty+14), face, V_SNAPTOLEFT|V_SNAPTOTOP|V_PERPLAYER, v.getColormap(player.mo.skin, player.mo.color))
	customhud.CustomNum(v, startx+24, starty+4, player.lives, "LIVNUM", 8, 2, V_SNAPTOLEFT|V_SNAPTOTOP|V_PERPLAYER)
	
end